Subject: bug#22479: 25.0.50; isearch and query-replace histories do not remember if we were looking for symbols

From: Dima Kogan <[email-masked]>
Date: Wed, 03 Feb 2016 17:38:29 -0800

Juri Linkov <[email-masked]> writes:

>>>>> 5. More ideas? ;)
>>>>
>>>> - We can retain the two histories: regex, non-regex
>
> One additional question: what do you expect ‘M-s _ M-p M-p M-p ...’ to do?
> Should it browse the previous search strings only from the currently active
> search mode (in this case symbol search)?  Or while browsing previous elements,
> should it change the search mode, e.g. when a previous search string
> was saved to the search-ring by word mode, then toggle word mode
> from symbol mode after typing 'M-p'?

I was thinking that M-p would retain whatever mode we're in. So in that
example, we'd cycle only through symbol searches. Since there are
multiple different modes that combine combinatorially, maybe this is not
an ideal way to do it, but that's what I'm thinking now.

This conversation has been useful, and I'm now digging through
isearch.el to see what the quickest (and least intrusive) approach to a
patch would be.

Thanks